local sti = require("sti")
local player = require("player")

--Variables
local width, height, tx, ty, map, scale

function love.load()
	love.graphics.setDefaultFilter("nearest", "nearest")
    map = sti("/maps/Level1.lua", {"box2d"})

    --Physics Initialize
    love.physics.setMeter(16)
    World = love.physics.newWorld(0, 0, true)
    map:box2d_init(World)

    --Translating Word
    scale = 2
    width = love.graphics.getWidth() / scale
    height = love.graphics.getHeight() / scale
    player:load()
end

function love.update(dt)
    player:update(dt)
    map:update(dt)
    World:update(dt)
    --Translating World
    tx = math.floor(math.floor(player.x) - width / 2)
    ty = math.floor(math.floor(player.y) - height / 2)
end

function love.draw()
    love.graphics.setBackgroundColor({102/255, 153/255, 255/255});
    love.graphics.push()
    map:draw(-tx, -ty, scale)
    love.graphics.translate(-tx, -ty)
    player:draw()
    love.graphics.pop()
end