local player = {}

function player:load()
    self.x = 400
    self.y = 350
    self.velX = 0
    self.velY = 0
    self.sprite = love.graphics.newImage("/assets/player-idle-01.png")
    self.width = self.sprite:getWidth()
    self.height = self.sprite:getHeight()
    self.physics = {}

    self.physics.body = love.physics.newBody(World, self.x, self.y, "dynamic")
    self.physics.shape = love.physics.newRectangleShape(self.width * 2, self.height * 2)
    self.physics.fixture = love.physics.newFixture(self.physics.body, self.physics.shape)
    self.physics.fixture:setRestitution(0.5)
    self.physics.body:setFixedRotation(true)
end

function player:update(dt)
    self.velY = 40

    if love.keyboard.isDown("left") then
        self.velX = -30
    elseif love.keyboard.isDown("right") then
        self.velX = 30
    else
        self.velX = 0
    end

    if love.keyboard.isDown("up") then
        self.velY = -20
    end

    self.physics.body:setLinearVelocity(self.velX, self.velY)
    self.x, self.y = self.physics.body:getPosition()
end

function player:draw()
    love.graphics.draw(self.sprite, self.x, self.y, 0, 2, 2, self.width / 2, self.height / 2)
end

return player